Name:      libgta
Version:   1.0.2 
Release:   2%{?dist}
Summary:   Library that implements the Generic Tagged Arrays file format
Group:     System Environment/Libraries
License:   LGPLv2+
URL:       http://gta.nongnu.org
Source0:   http://download.savannah.nongnu.org/releases/gta/%{name}-%{version}.tar.xz
BuildRequires: doxygen
BuildRequires: bzip2-devel
BuildRequires: zlib-devel
BuildRequires: xz-devel

%description
Libgta is a portable library that implements the GTA (Generic Tagged Arrays)
file format. It provides interfaces for C and C++.


%package devel
Summary:  Development Libraries for %{name}
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package doc
Summary:  API documentation for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains HTML API documentation and
examples for %{name}.


%prep
%setup -q

# Preserve date for headers
# Sent to gta-list@nongnu.org
sed -i 's/-m 644/-pm 644/' configure


%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# Remove documentation; will install it with doc macro
rm -rf %{buildroot}%{_docdir}


# Don't build and run the checks
# Checks must be interrupted


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc COPYING AUTHORS README
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/pkgconfig/gta.pc
%{_includedir}/gta
%{_libdir}/%{name}.so

%files doc
%doc doc/example*
%doc doc/reference


%changelog
* Tue Feb  7 2012 Volker Fröhlich <volker27@gmx.at> 1.0.2-2
- Add a doc sub-package for API documentation

* Thu Jan 28 2012 Volker Fröhlich <volker27@gmx.at> 1.0.2-1
- New upstream release
- Remove DESTDIR correction for install-exec-hook (now upstream)

* Thu Jan  5 2012 Volker Fröhlich <volker27@gmx.at> 1.0.1-1
- Initial package for Fedora
